String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtMen").value="";
	document.getElementById("TxtNom").value="";
	document.getElementById("Foto").src="jdemo.png";
	document.getElementById("userfile").value="";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
}
//
function fImportar(){
	var Id=document.getElementById("TxtId").value;
	var Me=document.getElementById("TxtMen").value;
	var Sm=document.getElementById("TxtNom").value;
	if(jVal(Id)<=0){
		alert("No se puede determinar el registro "+
		      "activo, active un registro de la tabla inferior");
		jFocus("TxtMen");
		return;				
	}
	if(jLen(Me)==0){
		alert("No se puede determinar el registro "+
		      "activo, active un registro de la tabla inferior");
		jFocus("TxtMen");
		return;	
	}
	//	
	var StrF=document.getElementById("userfile").value;
	if(StrF.trim().length==0){
		alert("Seleccione un archivo");
		document.getElementById("userfile").focus();
		return;
	}
	var F11=document.getElementById("userfile");
	var StrFile=F11.value;
	StrFile=StrFile.trim();
	StrFile=StrFile.toUpperCase();
	var i=StrFile.indexOf("JPG");
	if(i== -1){
		alert("El archivo debe ser del tipo jpg (imagen)");
		return;
	}
	var StrFile = F11.files[0];
	if(StrFile.size>1048576){
		alert("El tamanio del archivo no debe ser superior a 1 MB");
		document.getElementById("userfile").focus();
		return;
	}	
	document.getElementById("TxtAc").value="IMPORTAR";
	document.getElementById("Frm").submit();
	//
}

//**************************************************************************
